Package net.shibboleth.idp.cas.service.impl

# Class MetadataServiceRegistry.LoginEndpointPredicate

java.lang.Object
net.shibboleth.idp.cas.service.impl.MetadataServiceRegistry.LoginEndpointPredicate

All Implemented Interfaces:
  `Predicate<Endpoint>`

Enclosing class:
  MetadataServiceRegistry

public static class MetadataServiceRegistry.LoginEndpointPredicate extends Object implements Predicate<Endpoint>
Predicate defines CAS login endpoints so that the metadata index on endpoints can be scoped to the smallest set needed to support CAS entities in SAML metadata.

## Constructor Summary

Constructors
Constructor
Description
`LoginEndpointPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(Endpoint endpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### LoginEndpointPredicate

public LoginEndpointPredicate()

## Method Details

### test

public boolean test(@Nullable Endpoint endpoint)

Specified by:
  `test` in interface `Predicate<Endpoint>`